// pages/meeting/visitorIinvitation/visitorIinvitation.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    value: '',
    showCardType: false,
    arriveShow:false,
    leaveShow:false,
    submitSuccesShow:false,
    columns: ['身份证', '护照', '通行证'],
    fileList: [],
    currentDate: new Date().getTime(),
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // 页面初始化 options为页面跳转所带来的参数
    wx.setNavigationBarTitle({
      title: options.name
    })
  },



  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },
  onChange(event) {
    // event.detail 为当前输入的值
    console.log(event.detail);
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  getCardTypeHandle() {
    this.setData({
      showCardType: true
    });
  },
  confirmHandle(){
    this.setData({
      showCardType: false,
      arriveShow: false,
      leaveShow:false
    });
  },
  cancelHandle(){
    this.setData({
      showCardType: false,
      arriveShow: false,
      leaveShow:false
    });
  },
  getArriveHandle(){
    this.setData({
      arriveShow: true
    });

  },
  getLeaveHandle(){
    this.setData({
      leaveShow: true
    });
  },
  afterRead(event) {
    const { file } = event.detail;
    // 当设置 mutiple 为 true 时, file 为数组格式，否则为对象格式
    wx.uploadFile({
      url: 'https://example.weixin.qq.com/upload', // 仅为示例，非真实的接口地址
      filePath: file.url,
      name: 'file',
      formData: { user: 'test' },
      success(res) {
        // 上传完成需要更新 fileList
        const { fileList = [] } = this.data;
        fileList.push({ ...file, url: res.data });
        this.setData({ fileList });
      },
    });
  },
  onInput(event) {
    this.setData({
      currentDate: event.detail,
    });
  },
})